Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 859)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 861)
@@ -2846,9 +2993,10 @@
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, tn = 0
-       REAL    ::  gu, gv, flux_d, diss_d, u_comp, v_comp, w_comp
-       REAL    ::  flux_t(nzb:nzt+1), diss_t(nzb:nzt+1)
-       REAL, DIMENSION(nzb:nzt+1)  ::  flux_r, diss_r, flux_n, diss_n
-       REAL, DIMENSION(nzb+1:nzt) :: swap_flux_y_local_w, swap_diss_y_local_w
+       INTEGER ::  i, j, k, tn = 0, k_ppp, k_pp, k_mm
+       REAL    ::  gu, gv, flux_d, diss_d, u_comp, v_comp, w_comp, div
+       REAL, DIMENSION(nzb:nzt)    ::  flux_t, diss_t
+       REAL, DIMENSION(nzb+1:nzt)  ::  flux_r, diss_r, flux_n, diss_n,        &
+                                       swap_flux_y_local_w,                   &
+                                       swap_diss_y_local_w
        REAL, DIMENSION(nzb+1:nzt,nys:nyn) :: swap_flux_x_local_w,             &
                                              swap_diss_x_local_w
